/*==============================================================*\
 * Theme Name:  Hinge Post
 * Description: A custom theme design specifically for Hinge Post. It is a child them of the AppStudio 2.0 theme.
 * Template:    AppStudio2.0
 * Version:     2.0.0
 * Author:      App Studios, LLC
 * Author URI:  https://appstudios.net/
 *
 * The Hinge Post theme, also referred to as the
 * AppStudio 2.0 Child Theme, and its parent, the AppStudio 2.0
 * Theme, are not for free redistribution.
 * All rights reserved by APP Studios, LLC.
 *
 * AppStudio 2.0 Theme © 2022 APP Studios, LLC
\*==============================================================*/


/*=============================================*\
 *  HTML & Body
\*=============================================*/

.rep-portal {
    max-width: 35rem;
    height: 75vh;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    flex-wrap: nowrap;
}

/*=============================================*\
 *  WooCommerce
\*=============================================*/

body:not(.wp-admin) .type-product h2, body:not(.wp-admin) .type-product h3, body:not(.wp-admin) .type-product h4, body:not(.wp-admin) .type-product h5, body:not(.wp-admin) .type-product h6 {
    font-family: 'Lato', sans-serif !important;
    font-weight: bold;
} 

span.woocommerce-Price-amount bdi {
    color: var(--black) !important;
    font-size: 1.5rem !important;
}

/*Product Template*/
.woocommerce #content div.product div.images, .woocommerce div.product div.images, .woocommerce-page #content div.product div.images, .woocommerce-page div.product div.images {
    width: 66.66%;
}

.woocommerce #content div.product div.summary, .woocommerce div.product div.summary, .woocommerce-page #content div.product div.summary, .woocommerce-page div.product div.summary {
    width: 33.33%;
}

button.single_add_to_cart_button {
    margin-top: 1rem !important;
}

div#frm_field_108_container {
    margin: 0 !important;
}

.single-product #frm_form_21_container fieldset, .single-product #frm_form_20_container fieldset, .single-product #frm_form_19_container fieldset {
    padding: 0 1rem;
    border: solid .12rem #dfdfdf;
    border-radius: .5rem;
}

/*Hide length in inches calculation */
div#frm_field_104_container, div#frm_field_98_container, div#frm_field_92_container {
    display: none;
}


.woocommerce-variation.single_variation {
    margin-bottom: 1rem;
}

.woocommerce-variation.single_variation:after {
    content: 'Price For Selected Options';
    font-size: .825rem;
    display: block;
}

h3.frm_form_title {
    font-size: 20px !important;
}

label#field_ntp3n2_label, label#field_9bx8w2_label, label#field_1q93w2_label {
    font-weight: bold;
}

h2.wc-block-components-product-title.wc-block-grid__product-title {
    margin-bottom: 0 !important;
}
.wc-block-grid__product .wp-block-woocommerce-product-price {
    margin-top: 0 !important;
}

li.wc-block-grid__product.wc-block-layout {
    border: solid 1px #dfdfdf;
    border-radius: 4px;
    margin: 0.16% !important;
}

.theme-twentytwenty .wc-block-grid.has-3-columns .wc-block-grid__product, .wc-block-grid.has-3-columns .wc-block-grid__product {
    flex: 1 0 33% !important;
    max-width: 33% !important;
}

.jp-carousel-photo-title-container {
    display: none;
}

/* Theme Migration */
/* Video embed, align center for wp blocks **PARENT THEME ** */
.aligncenter .wp-block-embed__wrapper {
    max-width: 1080px;
    margin: auto;
}

.entry-content .wp-embed-aspect-16-9 iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
	max-width: 100%;
}

.entry-content .wp-block-embed.is-type-video.wp-embed-aspect-16-9 .wp-block-embed__wrapper {
    width: 100%;
    position: relative;
    padding: 0;
    padding-top: 56.2965%;
}

.wp-block-embed iframe {
    max-height: 100%;
}

/* Typography */
.entry-content :is(ul,ol) {
    margin: 0;
}

a {
    opacity: 100!important;
}

.entry-content table p {
    margin: 0 !important;
}

/* Forms */
.frm_forms form {
   width: 100%;
	max-width: 57rem;
	margin-inline: auto;
}

figure.wp-block-image.overlap-bottom-10 {
    margin-bottom: -10rem;
}

footer .h5.widget-title {
	color: var(--white);
}

div#site-footer-inner {
    max-width: 57rem;
}

/* WooCommerce */
.woocommerce select {
    padding: 0;
	font-size: 1rem;
}

a.wp-block-button__link.add_to_cart_button:hover {
    color: var(--light);
    background-color: var(--warning) !important;
}

a.wp-block-button__link.add_to_cart_button.ajax_add_to_cart {
    background: var(--dark);
}

.wc-block-grid__product-title {
    font-size: 1.2rem;
    letter-spacing: -.025rem;
    color: var(--dark);
}

.wp-block-query .wp-block-cover__inner-container .taxonomy-product_cat {
	margin-top: 1rem;
}

.wp-block-query .wp-block-cover__inner-container .taxonomy-product_cat {
	display: none !important;
}

.wp-block-query .wp-block-cover__inner-container:hover .taxonomy-product_cat {
	display: block !important;
}

.woocommerce-notices-wrapper {
    margin-top: 2rem;
    margin-bottom: 2rem;
}

ul.woocommerce-error {
    padding: 1rem;
}

.woocommerce-error::before {
    font-size: 2rem;
    position: absolute;
    left: 16px;
    top: -23px;
    background: white;
    border-radius: 100%;
}

p.return-to-shop {
    margin-bottom: 2rem;
}

a.added_to_cart.wc-forward {
    display: block;
    border-bottom: solid 1px;
    width: fit-content;
}

.product_meta {
    margin-top: 1rem;
}

.woocommerce-product-gallery ol {
    color: transparent;
}

/* Query Block */
.wp-block-query .wp-block-cover__inner-container [data-block-name], .wp-block-query .wp-block-cover__inner-container .taxonomy-product_cat {
    display: none;
}

.wp-block-query .wp-block-cover__inner-container:hover [data-block-name], .wp-block-query .wp-block-cover__inner-container .taxonomy-product_cat {
    display: block;
}

/* Parent Theme */
.wp-block-cover, .wp-block-cover-image {
	min-height: 50px;
}

.wp-block-cover__inner-container .wp-block-cover__inner-container {
    width: 100% !important;
}

.wp-block-column .wp-block-cover__inner-container {
    margin: 0 !important;
}

.wp-block-cover.has-custom-content-position.is-position-bottom-right .wp-block-columns, .wp-block-cover.has-custom-content-position.is-position-top-right .wp-block-columns {
    justify-content: flex-end;
}

@media screen and (min-width: 1400px) {
		.wp-block-columns:not(.fullwidth):not(.widewidth) {
			max-width: 71.25rem;
			margin-inline: auto;
	}
}

/* WooCommerce */
ul.wc-block-grid__products {
    margin-top: 4rem;
    margin-bottom: 4rem;
}

.wc-block-grid__product-image {
    /*min-height: 300px;*/
}

.wc-block-grid li.wc-block-grid__product {
    margin-top: 0 !important;
}

.wp-block-woocommerce-product-price {
    margin-top: 1rem;
    margin-bottom: 1.25rem;
}
a.wp-block-button__link.wp-element-button.wc-block-components-product-button__button.add_to_cart_button {
	border-radius: 5px;
}

a.wp-block-button__link.wp-element-button.wc-block-components-product-button__button.add_to_cart_button:hover {
    background-color: var(--secondary) !important;
}

/* Footer */
footer li.menu-item {
    padding-bottom: 0.75rem;
}

footer .h5.widget-title {
    text-transform: uppercase;
    padding-bottom: 0.75rem;
}

li.cta-button a.nav-link {
    border: solid 1px;
    border-radius: 5px;
}

header a.nav-link, #site-header .dropdown-menu {
    font-weight: bold;
    font-size: 1.0125rem;
}

/* Header */
#site-header a:hover:not(#logo-wrapper), #site-header .dropdown-menu a:hover, #site-header .navbar-toggler:hover {
	background: var(--gray);
}

nav li a.dropdown-item {
	font-weight: bold;
	margin-top: .25em;
	margin-bottom: .25em;
}

ul.dropdown-menu li:last-of-type {
	margin-bottom: .75em;
}


/* Request A Quote */
input.button.raq-send-request {
    border-radius: 5px;
}

/* Formidable */
.frm_style_formidable-style.with_frm_style .frm_compact .frm_dropzone.dz-clickable .dz-message, .frm_style_formidable-style.with_frm_style input[type=submit], .frm_style_formidable-style.with_frm_style .frm_submit input[type=button], .frm_style_formidable-style.with_frm_style .frm_submit button, .frm_form_submit_style, .frm_style_formidable-style.with_frm_style .frm-edit-page-btn {
    border-radius: 5px !important;
}

.narrow {
	max-width: 48rem;
}

.woocommerce div.quantity:before {
    content: 'Quantity';
	font-weight: bold;
	margin-right: 1.5rem;
}

#logo {
    max-width: 16rem;
}

/* Hide Add to Cart Button 

body:not(.logged-in) button.single_add_to_cart_button.button {
    display: none;
}

body.logged-in button.single_add_to_cart_button.button {
    display: block;
}*/

a.checkout-button.button, button.single_add_to_cart_button.button, .wp-block-button.wc-block-components-product-button .wc-block-components-product-button__button,a.wc-block-cart__submit-button, .wc-block-components-button:not(.is-link), .wc-block-grid__no-products button {
    color: var(--white) !important;
    background-color: var(--primary) !important;
	font-size: 1.25rem;
	border-radius: 5px;
	border: none;
}

a.checkout-button.button:hover, button.single_add_to_cart_button.button:hover, .wp-block-button.wc-block-components-product-button .wc-block-components-product-button__button:hover,a.wc-block-cart__submit-button:hover, .wc-block-components-button:not(.is-link):hover, a.wp-block-button__link.has-primary-background-color:hover, .wc-block-grid__no-products button:hover {
    background-color: var(--secondary) !important;
transition: ease-in-out .2s;
}

button.single_add_to_cart_button.button.alt.disabled {
	background-color: var(--primary) !important;
}

/* iframe */
iframe {
	height: 32rem;
}

@media screen and (max-width: 1024px) {iframe {
	height: 24rem;
	}}
@media screen and (max-width: 700px) {iframe {
	height: 18rem;
	}}

/* tables */
table {
    width: max-width;
	overflow: scroll;
	display: table;
	margin-left: 0 !important;
}

tr {
	display: table-row;
}

th,td {
	width: max-content;
	display: table-cell;
	padding: .5em !important;
	border: solid 1px var(--light);
}

/* Footer Widgets */
div.widget .widget-title {
    text-align: center;
}
.widget ul.menu li a {
    display: flex;
    margin: auto;
    justify-content: center;
}

/* Hide Out of Stock Message */
p.stock.out-of-stock {
    display: none;
}

.btn.btn-primary {
	border-radius: 0 !important;
	background-color: var(--primary) !important;
	border: none;
}

.btn.btn-primary:hover {
	background-color: var(--secondary) !important;
}

.widget.as-search-widget {
    display: none;
}

.widget a.button.wc-forward:not(.checkout) {
    display: none;
}

/* Reusable Classes */
.overlap-top-6 {
    margin-top: -6rem;
}

/* cart mods */
.sidebar .woocommerce h2.widgettitle {
    margin-bottom: 1rem !important;
}

.woocommerce ul.cart_list li dl dd p:last-child, .woocommerce ul.product_list_widget li dl dd p:last-child {
    margin-bottom: 0 !important;
}

.entry-content .sidebar .wp-block-group.has-background:not(.alignfull) .wp-block-group__inner-container {
    margin-inline: .75rem !important;
}

li.woocommerce-mini-cart-item.mini_cart_item {
    background: var(--white);
    padding: .5rem !important;
    border-radius: .5rem;
	border: solid 1px #d0d4da;
}

.sidebar p.woocommerce-mini-cart__total.total {
    border-top: solid 1px #d0d4da;
	display: none;
}

dl.variation {
	display: none;
}

a.remove.remove_from_cart_button {
    margin-top: -.75rem;
}

.woocommerce.widget_shopping_cart .cart_list li a.remove {
    right: 0;
    left: revert;
}

.sidebar dl.variation {
    font-size: .75rem;
    padding-left: .5rem !important;
    padding-top: .5rem;
}

.sidebar .variation dd {
    margin-bottom: 0 !important;
}

.sidebar .quantity span.amount bdi {
    font-size: 1rem;
}

p.woocommerce-mini-cart__buttons.buttons, p.woocommerce-mini-cart__total.total {
    margin-top: 1rem !important;
	margin-bottom: 0 !important;
}

.woocommerce ul.cart_list li img, .woocommerce ul.product_list_widget li img {
    width: 50px;
}

.sidebar a.button.checkout.wc-forward {
    background: var(--primary);
    color: var(--white);
    font-size: 1.125rem;
    font-weight: 400;
    border-radius: 0;
	display: none;
}

.sidebar a.button.checkout.wc-forward:hover {
    background: var(--secondary);
    color: var(--white);
}

/* Shipping Method display alts */
#radio-control-0-freight_method5__description span.wc-block-components-shipping-rates-control__package__description--free {
    display: none;
}

span.wc-block-checkout__shipping-option--free {
    display: none;
}

#radio-control-0-freight_method5__description:after {
    content: 'Addl Paid on Approval';
	  font-family: 'Open Sans', sans-serif;
	  display: block;
	  width:  100%;
	  height: auto;
}

.wp-block-woocommerce-single-product, .wp-block-query.products li.wp-block-post {
    border: solid .12rem #e9e9e9;
    border-radius: .5rem;
    padding: 1rem;
    text-align: center;
    filter: drop-shadow(2px 4px 6px #eee);
    background: var(--white);
}

img.kit-rendering-modal__image {
    max-height: 60vh;
    margin: auto;
    display: block;
}

p.fancy-list-item-heading, p.fancy-list-item-body {
    margin: 0 !important;
}

.has-background ul.fancy-list {
    padding: 0 0 0 0 !important;
}

.edit-post-visual-editor .editor-block-list__block .wc-block-grid__product-title, .editor-styles-wrapper .wc-block-grid__product-title, .wc-block-grid__product-title {
    font-size: 1.125rem !important;
}

.theme-twentytwenty .wc-block-grid.has-4-columns:not(.alignwide):not(.alignfull) .wc-block-grid__product, .theme-twentytwenty .wc-block-grid.has-5-columns.alignfull .wc-block-grid__product, .wc-block-grid.has-4-columns:not(.alignwide):not(.alignfull) .wc-block-grid__product, .wc-block-grid.has-5-columns.alignfull .wc-block-grid__product {
    font-size: 1rem !important;
}

/* Hide related products */
.single-product section.related.products {
    display: none;
}

/*ul.products.columns-4:before {
	content: 'Add components';
		font-family: 'Oswald', sans-serif;
	font-size: 2.25rem;
}*/

/*section.up-sells.upsells.products h2:not(.woocommerce-loop-product__title) {
    display: none;
}*/

form#hp-kit-configurator {
    margin-top: 0 !important;
}

/* Product Query Loop */
.entry-content .wp-block-query.products li.wp-block-post .wp-block-group .wp-block-group__inner-container {
    margin: 0 !important;
}

.products figure.wp-block-post-featured-image {
    height: auto;
}

/* Configurator */
form#hp-kit-configurator .model, form#hp-kit-configurator select#hp-gate-model {
	display: none;
}

/* Formidable Modal */
body.admin-bar .wp-block-frm-modal-content .modal-dialog {
    margin-top: 15vh !important;
}

.woocommerce-tabs h2:first-child {
    display: none;
}

h3.frm_form_title {
    margin-bottom: 0 !important;
}

.frm_description p {
    margin-bottom: .75rem !important;
}

.single-product .woocommerce-notices-wrapper {
	/*display: none;*/
}

.single-product div#primary, .singe-product  {
    max-width: calc(65rem - 4rem);
	  padding-left: 2rem;
	  padding-right: 2rem;
    margin: auto;
    margin-top: 3rem;
}

@media screen and (max-width: 768px) {
	.woocommerce #content div.product div.images, .woocommerce div.product div.images, .woocommerce-page #content div.product div.images, .woocommerce-page div.product div.images, .summary.entry-summary {
		width: 100% !important;
		padding: 0;
	}
}

.woocommerce-product-gallery {
    padding-right: 2rem;
}

td.wc-block-cart-item__image {
    max-width: 76px;
}

td.wc-block-cart-item__product {
    width: auto;
}

.wc-block-components-product-metadata {
    font-size: 1rem;
}

h1.product_title, .single-product h1 {
    font-size: 2rem;
    color: var(--primary) !important;
}

.single-product h2 {
    font-size: 1.5rem;
}

label {
    line-height: 1.25rem;
}

.variations tr {
    border-top: solid 1px var(--light);
    border-bottom: solid 1px var(--light);
}

.woocommerce div.product div.images .woocommerce-product-gallery__image:nth-child(n+2), .woocommerce div.product div.images .flex-control-thumbs li {
    padding: .25rem;
    border: solid 1px var(--light);
    border-radius: .25rem;
    margin: .5rem;
    width: calc(25% - 1rem);
}

/* Product Tour */
.tour.overlap-top-6 {
    position: relative !important;
    z-index: 101;
}

.tour a {
	animation: animate-pulse 3s linear infinite;
}
@keyframes animate-pulse{
    0%{
        box-shadow: 0 0 0 0 rgba(255,109,74,0.7),  0 0 0 0 rgba(255,109,74,0.7);
    }
    40%{
        box-shadow: 0 0 0 50px rgba(255,109,74,0.0),  0 0 0 0 rgba(255,109,74,0.7);
    }
    80%{
        box-shadow: 0 0 0 50px rgba(255,109,74,0.0),  0 0 0 30px rgba(255,109,74,0);
    }
    100%{
        box-shadow: 0 0 0 0 rgba(255,109,74,0.0),  0 0 0 30px rgba(255,109,74,0);
    }
}

.tour a:hover {
	animation: none;
}

a.woocommerce-product-gallery__trigger {
    border: solid 1px;
}

.wc-block-mini-cart.justify-center {
    display: flex;
    justify-content: center;
	  border: solid 2px var(--primary);
    border-radius: 2rem;
}

.wc-block-mini-cart.wp-block-woocommerce-mini-cart.justify-center:hover {
    background: #f7f7f7;
    border-color: var(--secondary);
}

/* breadcrumb */
.gate-breadcrumb .wp-block-column p:after {
content: '\F280';
    font-family: 'Bootstrap Icons';
    color: var(--light);
    font-size: 1.25rem;
	padding-left: .25rem;
}

/* Gate Filters */
body:not(.logged-in) .wp-block-woocommerce-filter-wrapper.gate-type {
    display: none;
}

/* Checkout shipping indicator */
.wc-block-components-radio-control .wc-block-components-radio-control__input:checked:before {
    background: var(--success) !important;
}

.wc-block-components-totals-shipping .wc-block-components-totals-item__value, .wc-block-components-totals-shipping span.wc-block-components-totals-item__label {
    display: none;
}

.wc-block-components-totals-item__description.wc-block-components-totals-shipping__via {
    font-size: 1rem;
}

.wc-block-components-totals-shipping span.wc-block-formatted-money-amount.wc-block-components-formatted-money-amount {
    font-size: 1rem;
    font-weight: 600;
}

/* WooCommerce Product Shortcode Layer fix */
.woocommerce.columns-4 {
    z-index: 0;
}

/*div#filter_2123_1, div#filter_2123_2 {
    max-width: 50%;
		min-width: 25%;
    display: inline-block;
    margin-right: 2rem;
}

.yith-wcan-filters .yith-wcan-filter .yith-wcan-dropdown .dropdown-wrapper .search-field-container:after {
    top: 2px;
}*/

/* hide add to cart */
body.parent-pageid-1286 a.button.product_type_variation.add_to_cart_button.ajax_add_to_cart, body.parent-pageid-1286 a.button.product_type_simple.add_to_cart_button.ajax_add_to_cart {
	display: none;
}

.wp-block-cover__inner-container td.wc-block-cart-item__image {
    width: 100% !important;
}

.products li.product {
    padding: 1rem;
    text-align: center;
    background: var(--white);
		padding: 1 rem;
}

img.aligncenter {
    display: flex
;
    justify-content: center;
    margin: auto;
}

h3.modal-title {
    color: var(--primary) !important;
    text-transform: uppercase;
    text-align: center;
    margin-bottom: 0 !important;
}

ins.highlight {
    text-decoration: none !important;
}

.woocommerce ul.products li.product .price ins {
    font-weight: 400;
}

.woocommerce ul.products li.product a img {
    border: solid 1px var(--light);
}

/* Request A Quote */
a.afrfqbt_single_page.button.single_add_to_cart_button.alt.product_type_simple, button#afrfq_update_quote_btn, button.button.alt.addify_checkout_place_quote {
    background: var(--primary) !important;
    color: var(--white) !important;
	border-radius: 3px;
}

a.afrfqbt_single_page.button.single_add_to_cart_button.alt.product_type_simple {
    margin-top: 1rem;
}

.af_quote_fields input[type="text"], .af_quote_fields input[type="email"] {
    border-radius: 0;
	  padding: .5rem 1rem;
}
.woocommerce div.product form.cart div.quantity {
	float: none;
}

table.quote-fields tbody, 
table.quote-fields td, 
table.quote-fields tfoot, 
table.quote-fields th, 
table.quote-fields thead, 
table.quote-fields tr, .addify-quote-form__contents * {
	border: none;
}

/* WooCommerce Columns */
.alignwide .wp-block-group__inner-container .woocommerce.columns-4 {
    max-width: 71.25rem;
    margin-inline: 0 !important;
}

.entry-content .alignwide ul {
	max-width: 71.25rem;
}
